org.omg.CosNaming

## Interface NamingContextExt

- All Superinterfaces:
    IDLEntity, NamingContext, NamingContextExtOperations, NamingContextOperations, Object, Serializable
  All Known Implementing Classes:
    _NamingContextExtStub

      public interface NamingContextExt
      extends NamingContextExtOperations, NamingContext, IDLEntity

  `NamingContextExt` is the extension of `NamingContext` which contains a set of name bindings in which each name is unique and is part of Interoperable Naming Service. Different names can be bound to an object in the same or different contexts at the same time. Using `NamingContextExt`, you can use URL-based names to bind and resolve.

  See CORBA COS Naming Specification.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.CosNaming.NamingContextExtOperations

      `resolve_str, to_name, to_string, to_url`

    - ### Methods inherited from interface org.omg.CosNaming.NamingContextOperations

      `bind_context, bind_new_context, bind, destroy, list, new_context, rebind_context, rebind, resolve, unbind`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.